import { select, scaleOrdinal, scaleSqrt } from "d3";
import { colorLegend } from "./colorLegend";
import { sizeLegend } from "./sizeLegend";

const svg = select("svg");
const height = +svg.attr("height")

const colorScale = scaleOrdinal()
	.domain(["apple", "lemon", "Lime","orange"])
	.range(["#fa5a6d", "#fff959", "green", "orange"]);

svg.append("g")
		.attr("transform", `translate(60, 100)`)
    .call(colorLegend, {
      colorScale,
      circleRadius: 30,
  		spacing: 80,
  		textOffset: 50
});

const sizeScale = scaleSqrt()
	.domain([0, 10])
	.range([0, 50]);

svg.append("g")
		.attr("transform", `translate(600, 100)`)
    .call(sizeLegend, {
      sizeScale,
  		spacing: 80,
  		textOffset: 20,
  		numTicks: 5,
  		circleFill: "rgba(0, 0, 0, 0.5)"
});